ARP(3)

NAME
packet.internet.arp - ARP module

DESCRIPTION

Decode ARP and RARP layers.

RFC 826 An Ethernet Address Resolution Protocol RFC 903 A Reverse Address Resolution Protocol

CLASSES

  class ARP(baseobj.BaseObj)
ARP object

Usage:
    from packet.internet.arp import ARP

    x = ARP(pktt)

Object definition:

ARP(
    htype = int,    # Hardware type
    ptype = int,    # Protocol type
    hlen  = int,    # Byte length for each hardware address
    plen  = int,    # Byte length for each protocol address
    oper  = int,    # Opcode
    sha   = string, # Hardware address of sender of this packet
    spa   = string, # Protocol address of sender of this packet
    tha   = string, # Hardware address of target of this packet
    tpa   = string, # Protocol address of target of this packet
)

Methods defined here:
---------------------

__init__(self, pktt)
Constructor

Initialize object's private data.

    pktt:
        Packet trace object (packet.pktt.Pktt) so this layer has
        access to the parent layers.

  class RARP(ARP)
ARP object

Usage:
    from packet.internet.arp import ARP

    x = ARP(pktt)

Object definition:

ARP(
    htype = int,    # Hardware type
    ptype = int,    # Protocol type
    hlen  = int,    # Byte length for each hardware address
    plen  = int,    # Byte length for each protocol address
    oper  = int,    # Opcode
    sha   = string, # Hardware address of sender of this packet
    spa   = string, # Protocol address of sender of this packet
    tha   = string, # Hardware address of target of this packet
    tpa   = string, # Protocol address of target of this packet
)

  class arp_oper(packet.utils.Enum)
enum arp_oper

SEE ALSO
baseobj(3), packet.internet.arp_const(3), packet.internet.ipv6addr(3), packet.link.macaddr(3), packet.utils(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)